import { get, post } from "./http";
export const report = {
  /* 获取品种 */
  Tab: (params) => {
    return get("permission/allPublic", params);
  },
  /* 
	列表
	PageSize * CurrentIndex * ChartPermissionId *品类id，最新传0
	*/
  getList: (params) => {
    return get("/home/listPublic", params);
  },
  /* 获取搜索推荐词 */
  getKeys: (params) => {
    return get("/config/detailPublic", params);
  },
  /* 搜索  KeyWord */
  getResult: (params) => {
    return get("/search/listPublic", params);
  },
};
/* 权益链接 */
export const RaiApi = {
  /* 获取详情 */
  reportDtl: (params) => {
    return get("/article/detailPublic", params);
  },
  /* 页面复制监听*/
  pageHistoryCopy: (params) => {
    return post("/article/pageHistoryPublic", params);
  },
  /*上传文章阅读时间接口*/
  addStopTime: (params) => {
    return post("/htgj/article/addStopTimePublic", params);
  },
  /* 申请访谈 ArticleId*/
  applyRpt: (params) => {
    return post("/htgj/interview/apply", params);
  },
  /* 收藏 ArticleId*/
  collectRpt: (params) => {
    return post("/htgj/collect", params);
  },
  /* 提问 ArticleId*/
  askAdd: (params) => {
    return post("/htgj/askAdd", params);
  },
  
};
